<script>
  export let promise;
  import { Jellyfish } from "svelte-loading-spinners";
  let data = [
    { id: "J---aiyznGQ", name: "Keyboard Cat" },
    { id: "z_AbfPXTKms", name: "Maru" },
    { id: "OUtn3pvWmpg", name: "Henri The Existential Cat" },
  ];
</script>

<h1>The Famous Cats of YouTube</h1>

<ul>
  {#await promise}
    <Jellyfish size="60" color="#7FFFD4" unit="px" duration="1s" />
  {:then posts}
    {#each data as { id, name }, i}
      <li>
        <a target="_blank" href="https://www.youtube.com/watch?v={id}">
          {i + 1}: {name}
        </a>
      </li>
    {/each}
    <p>{posts}</p>
  {:catch error}
    <p style="color: red">{error.message}</p>
  {/await}
</ul>
